"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const sandbox_1 = require("@specron/sandbox");
const reporter_1 = require("@hayspec/reporter");
function default_1(argv) {
    return __awaiter(this, void 0, void 0, function* () {
        const { port, host, ttl } = argv;
        const printer = new reporter_1.Printer();
        const sandbox = new sandbox_1.Sandbox();
        try {
            yield sandbox.listen(port, host);
            printer.end();
            printer.end(printer.indent(1, ''), 'Sandbox blockchain');
            printer.end(printer.indent(2, ''), printer.colorize('gray', `Listening at ${host}:${port} ...`));
            printer.end();
        }
        catch (e) {
            console.error(e);
        }
        if (ttl) {
            setTimeout(() => sandbox.close(), ttl);
        }
    });
}
exports.default = default_1;
//# sourceMappingURL=sandbox.js.map